import overpy


api =  overpy.Overpass()


def fetch_taxiway(icao, taxiway_name):
  q = f'''
  /* ref https://gis.stackexchange.com/a/353063/21620 */
  [out:json]/*fixed by auto repair*/[timeout:25];
  
  /* fetch area to search in */ area[icao~{icao}] -> .airport_by_icao;  
  //                                                -> .varname defined for area
  
  /* gather/union result */ (
    way(area.airport_by_icao)[aeroway=taxiway][ref='{taxiway_name}'];
  );
  
  /* print results */ out geom;
  '''
  r = api.query(q)

  '';        way_list = r.ways
  assert len(way_list)>0, 'Something not right - we should have some taxiway from the name'
  found_w =  way_list[0] if way_list else None  #TODO combine all way in way_list insteadof way_list[0]

  'convert osm Way to pydict'; nodes=found_w.get_nodes(resolve_missing=True); found_w_d = [
    {
      'id' : n.id,
      'lat': float(n.lat),
      'lon': float(n.lon),
    }
    for n in nodes
  ]

  return found_w_d


def ls_taxiway(icao, fetch_node=False):
  q = f'''
  /* ref https://gis.stackexchange.com/a/353063/21620 */
  [out:json]/*fixed by auto repair*/[timeout:25];
  
  /* fetch area to search in */ area[icao~{icao}] -> .airport_by_icao;  
  //                                                -> .varname defined for area
  
  /* gather/union result */ (
    way(area.airport_by_icao)[aeroway=taxiway][ref];
  );
  
  /* print results */ out geom;
  '''
  r = api.query(q)

  taxiway_list = r.ways

  taxiway_d__byref = {}
  for w in taxiway_list:
    ref = w.tags.get('ref')

    taxiway__d = {
      'ref'  : ref,
      'id'   : w.id,
      'nodes': w.attributes.get('geometry'),
    }

    if ref not in taxiway_d__byref: taxiway_d__byref[ref] =[]
    '';                             taxiway_d__byref[ref]+=[taxiway__d]

  return taxiway_d__byref


if __name__=='__main__':
  def run__fetch_taxiway():
    kwargs=dict(icao='WSSS', taxiway_name='W'); r=fetch_taxiway(**kwargs); print(f'{" ".join(kwargs.values())} {len(r):>3} {r}')
    kwargs=dict(icao='WSSS', taxiway_name='V'); r=fetch_taxiway(**kwargs); print(f'{" ".join(kwargs.values())} {len(r):>3} {r}')
    kwargs=dict(icao='WSSS', taxiway_name='S'); r=fetch_taxiway(**kwargs); print(f'{" ".join(kwargs.values())} {len(r):>3} {r}')
    '''
  WSSS W  28 [{'id': 6373464131, 'lat': 1.3809183, 'lon': 103.9928899}, {'id': 1838413154, 'lat': 1.3807663, 'lon': 103.9928268}, {'id': 10212865929, 'lat': 1.3806674, 'lon': 103.9927852}, {'id': 10212848772, 'lat': 1.379891, 'lon': 103.9924567}, {'id': 1838413148, 'lat': 1.379788, 'lon': 103.9924151}, {'id': 1838413146, 'lat': 1.3769205, 'lon': 103.9911997}, {'id': 250080625, 'lat': 1.3764483, 'lon': 103.9910402}, {'id': 250080380, 'lat': 1.3760451, 'lon': 103.9908737}, {'id': 250080619, 'lat': 1.374214, 'lon': 103.9900623}, {'id': 1838413099, 'lat': 1.3729474, 'lon': 103.9895242}, {'id': 250080554, 'lat': 1.3725947, 'lon': 103.9893747}, {'id': 10210515915, 'lat': 1.3720192, 'lon': 103.9891323}, {'id': 1838413063, 'lat': 1.3715622, 'lon': 103.9889397}, {'id': 1838413044, 'lat': 1.3707877, 'lon': 103.9886085}, {'id': 10210525169, 'lat': 1.3705727, 'lon': 103.9885184}, {'id': 6373464605, 'lat': 1.3702545, 'lon': 103.988385}, {'id': 250083913, 'lat': 1.3697744, 'lon': 103.9881824}, {'id': 10207450402, 'lat': 1.3689993, 'lon': 103.9878526}, {'id': 250083874, 'lat': 1.3689121, 'lon': 103.9878174}, {'id': 250083865, 'lat': 1.3681174, 'lon': 103.9874855}, {'id': 250080533, 'lat': 1.3667119, 'lon': 103.9868939}, {'id': 250083860, 'lat': 1.3648014, 'lon': 103.9860862}, {'id': 250083854, 'lat': 1.364032, 'lon': 103.985758}, {'id': 250083848, 'lat': 1.3616561, 'lon': 103.9847538}, {'id': 250083841, 'lat': 1.3608731, 'lon': 103.9844214}, {'id': 250080440, 'lat': 1.3595323, 'lon': 103.983861}, {'id': 10206772207, 'lat': 1.3577412, 'lon': 103.9831007}, {'id': 250080420, 'lat': 1.3576317, 'lon': 103.9830529}]
  WSSS V  54 [{'id': 5289127088, 'lat': 1.3456937, 'lon': 103.9786116}, {'id': 5289127087, 'lat': 1.3461276, 'lon': 103.9787941}, {'id': 5289127086, 'lat': 1.346197, 'lon': 103.9788335}, {'id': 5289127085, 'lat': 1.3462489, 'lon': 103.9788786}, {'id': 5289127084, 'lat': 1.3462922, 'lon': 103.9789317}, {'id': 5289127083, 'lat': 1.3465264, 'lon': 103.9792653}, {'id': 10202645290, 'lat': 1.3465571, 'lon': 103.9793108}, {'id': 10202645289, 'lat': 1.346603, 'lon': 103.9793626}, {'id': 10202645288, 'lat': 1.3466438, 'lon': 103.9793983}, {'id': 5289127081, 'lat': 1.3466951, 'lon': 103.979428}, {'id': 5289127080, 'lat': 1.3467767, 'lon': 103.9794609}, {'id': 1838410503, 'lat': 1.3475578, 'lon': 103.9797887}, {'id': 1838410570, 'lat': 1.3476383, 'lon': 103.9798242}, {'id': 1838410827, 'lat': 1.3484569, 'lon': 103.9801675}, {'id': 1838410906, 'lat': 1.3485364, 'lon': 103.980201}, {'id': 1838410973, 'lat': 1.3487264, 'lon': 103.9802805}, {'id': 10229126245, 'lat': 1.3488606, 'lon': 103.9803382}, {'id': 1838411107, 'lat': 1.3493353, 'lon': 103.980542}, {'id': 10229126226, 'lat': 1.3494267, 'lon': 103.9805788}, {'id': 1838411180, 'lat': 1.349555, 'lon': 103.9806305}, {'id': 6373463810, 'lat': 1.3499901, 'lon': 103.980812}, {'id': 10229128923, 'lat': 1.350248, 'lon': 103.9809227}, {'id': 1838411372, 'lat': 1.3505932, 'lon': 103.9810708}, {'id': 1838411438, 'lat': 1.3519471, 'lon': 103.98164}, {'id': 250080653, 'lat': 1.3525364, 'lon': 103.9818899}, {'id': 250080668, 'lat': 1.3533908, 'lon': 103.9822532}, {'id': 1838411598, 'lat': 1.3534704, 'lon': 103.9822899}, {'id': 1838411763, 'lat': 1.3547169, 'lon': 103.9828177}, {'id': 6373463839, 'lat': 1.3551024, 'lon': 103.9829816}, {'id': 10229080157, 'lat': 1.3558498, 'lon': 103.9832928}, {'id': 6373463843, 'lat': 1.3561103, 'lon': 103.9834012}, {'id': 250083835, 'lat': 1.3565321, 'lon': 103.9835792}, {'id': 10229134779, 'lat': 1.3566081, 'lon': 103.983611}, {'id': 6373463847, 'lat': 1.3568974, 'lon': 103.9837323}, {'id': 10229134799, 'lat': 1.3572078, 'lon': 103.9838625}, {'id': 250083840, 'lat': 1.3573506, 'lon': 103.9839214}, {'id': 10229141527, 'lat': 1.3574271, 'lon': 103.9839538}, {'id': 10229140594, 'lat': 1.357682, 'lon': 103.9840619}, {'id': 6373456717, 'lat': 1.3580133, 'lon': 103.9842024}, {'id': 6373456722, 'lat': 1.3586723, 'lon': 103.9844769}, {'id': 6373456725, 'lat': 1.3595829, 'lon': 103.9848657}, {'id': 1838412301, 'lat': 1.3598604, 'lon': 103.9849808}, {'id': 250083846, 'lat': 1.3604863, 'lon': 103.9852488}, {'id': 250083853, 'lat': 1.3613055, 'lon': 103.9855944}, {'id': 250083859, 'lat': 1.3636629, 'lon': 103.9865882}, {'id': 250083864, 'lat': 1.3644549, 'lon': 103.9869306}, {'id': 1838412760, 'lat': 1.3653372, 'lon': 103.9872969}, {'id': 1838412843, 'lat': 1.3670389, 'lon': 103.9880136}, {'id': 5290875274, 'lat': 1.3674567, 'lon': 103.9881908}, {'id': 250083871, 'lat': 1.3677575, 'lon': 103.9883184}, {'id': 250083894, 'lat': 1.368564, 'lon': 103.9886585}, {'id': 250083929, 'lat': 1.3694235, 'lon': 103.9890198}, {'id': 250083910, 'lat': 1.3702053, 'lon': 103.98935}, {'id': 250080631, 'lat': 1.3704509, 'lon': 103.9894563}]
  WSSS S   9 [{'id': 1563358372, 'lat': 1.3477474, 'lon': 103.9782426}, {'id': 10202667192, 'lat': 1.3477102, 'lon': 103.9783147}, {'id': 5289127545, 'lat': 1.3476758, 'lon': 103.9783936}, {'id': 5289127552, 'lat': 1.3473508, 'lon': 103.9791557}, {'id': 1838410469, 'lat': 1.3473136, 'lon': 103.9792456}, {'id': 1838410429, 'lat': 1.3469917, 'lon': 103.9799984}, {'id': 1838410403, 'lat': 1.3469597, 'lon': 103.9800757}, {'id': 1838410373, 'lat': 1.3466166, 'lon': 103.9808723}, {'id': 2142121263, 'lat': 1.3457371, 'lon': 103.9829334}]
    '''
  # run__fetch_taxiway()

  def run__ls_taxiway():
    r = ls_taxiway(icao='WSSS')
    print(r)
    '''
    from decimal import Decimal
    taxiway_d__list = {'V7': [{'ref': 'V7', 'id': 23149910, 'nodes': [{'lat': Decimal('1.3573506'), 'lon': Decimal('103.9839214')}, {'lat': Decimal('1.3572616'), 'lon': Decimal('103.9838636')}, {'lat': Decimal('1.3572047'), 'lon': Decimal('103.9838131')}, {'lat': Decimal('1.3571597'), 'lon': Decimal('103.9837530')}, {'lat': Decimal('1.3571324'), 'lon': Decimal('103.9836892')}, {'lat': Decimal('1.3571115'), 'lon': Decimal('103.9836298')}, {'lat': Decimal('1.3570990'), 'lon': Decimal('103.9835734')}, {'lat': Decimal('1.3570966'), 'lon': Decimal('103.9835199')}, {'lat': Decimal('1.3571013'), 'lon': Decimal('103.9834459')}, {'lat': Decimal('1.3571115'), 'lon': Decimal('103.9834002')}, {'lat': Decimal('1.3571320'), 'lon': Decimal('103.9833380')}, {'lat': Decimal('1.3571512'), 'lon': Decimal('103.9832926')}, {'lat': Decimal('1.3571934'), 'lon': Decimal('103.9832324')}, {'lat': Decimal('1.3572520'), 'lon': Decimal('103.9831746')}, {'lat': Decimal('1.3573157'), 'lon': Decimal('103.9831268')}, {'lat': Decimal('1.3573794'), 'lon': Decimal('103.9830929')}, {'lat': Decimal('1.3574580'), 'lon': Decimal('103.9830692')}, {'lat': Decimal('1.3575237'), 'lon': Decimal('103.9830613')}, {'lat': Decimal('1.3576317'), 'lon': Decimal('103.9830529')}]}, {'ref': 'V7', 'id': 23150168, 'nodes': [{'lat': Decimal('1.3568741'), 'lon': Decimal('103.9827300')}, {'lat': Decimal('1.3569674'), 'lon': Decimal('103.9827809')}, {'lat': Decimal('1.3570321'), 'lon': Decimal('103.9828316')}, {'lat': Decimal('1.3570831'), 'lon': Decimal('103.9828932')}, {'lat': Decimal('1.3571311'), 'lon': Decimal('103.9829723')}, {'lat': Decimal('1.3571581'), 'lon': Decimal('103.9830541')}, {'lat': Decimal('1.3571695'), 'lon': Decimal('103.9831294')}, {'lat': Decimal('1.3571654'), 'lon': Decimal('103.9832133')}, {'lat': Decimal('1.3571512'), 'lon': Decimal('103.9832926')}]}, {'ref': 'V7', 'id': 540294390, 'nodes': [{'lat': Decimal('1.3571320'), 'lon': Decimal('103.9833380')}, {'lat': Decimal('1.3570895'), 'lon': Decimal('103.9834137')}, {'lat': Decimal('1.3570437'), 'lon': Decimal('103.9834735')}, {'lat': Decimal('1.3569884'), 'lon': Decimal('103.9835246')}, {'lat': Decimal('1.3569113'), 'lon': Decimal('103.9835731')}, {'lat': Decimal('1.3568497'), 'lon': Decimal('103.9835952')}, {'lat': Decimal('1.3567582'), 'lon': Decimal('103.9836143')}, {'lat': Decimal('1.3566818'), 'lon': Decimal('103.9836134')}, {'lat': Decimal('1.3566117'), 'lon': Decimal('103.9836035')}, {'lat': Decimal('1.3565321'), 'lon': Decimal('103.9835792')}]}], 'W6': [{'ref': 'W6', 'id': 23149914, 'nodes': [{'lat': Decimal('1.3596648'), 'lon': Decimal('103.9828325')}, {'lat': Decimal('1.3595524'), 'lon': Decimal('103.9828610')}, {'lat': Decimal('1.3594510'), 'lon': Decimal('103.9829155')}, {'lat': Decimal('1.3593836'), 'lon': Decimal('103.9829677')}, {'lat': Decimal('1.3593200'), 'lon': Decimal('103.9830366')}, {'lat': Decimal('1.3592665'), 'lon': Decimal('103.9831252')}, {'lat': Decimal('1.3592341'), 'lon': Decimal('103.9832021')}, {'lat': Decimal('1.3592120'), 'lon': Decimal('103.9833065')}, {'lat': Decimal('1.3592120'), 'lon': Decimal('103.9834160')}, {'lat': Decimal('1.3592320'), 'lon': Decimal('103.9835143')}, {'lat': Decimal('1.3592689'), 'lon': Decimal('103.9836126')}, {'lat': Decimal('1.3593308'), 'lon': Decimal('103.9837033')}, {'lat': Decimal('1.3594069'), 'lon': Decimal('103.9837778')}, {'lat': Decimal('1.3595323'), 'lon': Decimal('103.9838610')}]}, {'ref': 'W6', 'id': 741695445, 'nodes': [{'lat': Decimal('1.3576317'), 'lon': Decimal('103.9830529')}, {'lat': Decimal('1.3580743'), 'lon': Decimal('103.9830166')}, {'lat': Decimal('1.3588617'), 'lon': Decimal('103.9829284')}, {'lat': Decimal('1.3596648'), 'lon': Decimal('103.9828325')}, {'lat': Decimal('1.3600953'), 'lon': Decimal('103.9827856')}, {'lat': Decimal('1.3604397'), 'lon': Decimal('103.9827630')}, {'lat': Decimal('1.3607167'), 'lon': Decimal('103.9827672')}, {'lat': Decimal('1.3610338'), 'lon': Decimal('103.9827834')}, {'lat': Decimal('1.3614306'), 'lon': Decimal('103.9828424')}, {'lat': Decimal('1.3617676'), 'lon': Decimal('103.9829178')}, {'lat': Decimal('1.3621714'), 'lon': Decimal('103.9830202')}]}], 'W5': [{'ref': 'W5', 'id': 23149915, 'nodes': [{'lat': Decimal('1.3652848'), 'lon': Decimal('103.9843386')}, {'lat': Decimal('1.3656571'), 'lon': Decimal('103.9845335')}, {'lat': Decimal('1.3658737'), 'lon': Decimal('103.9846648')}, {'lat': Decimal('1.3661136'), 'lon': Decimal('103.9848198')}, {'lat': Decimal('1.3663420'), 'lon': Decimal('103.9849861')}, {'lat': Decimal('1.3665345'), 'lon': Decimal('103.9851491')}, {'lat': Decimal('1.3668074'), 'lon': Decimal('103.9854118')}, {'lat': Decimal('1.3670817'), 'lon': Decimal('103.9857100')}, {'lat': Decimal('1.3673821'), 'lon': Decimal('103.9860997')}, {'lat': Decimal('1.3678484'), 'lon': Decimal('103.9867159')}, {'lat': Decimal('1.3682667'), 'lon': Decimal('103.9872685')}]}], 'W4': [{'ref': 'W4', 'id': 23149917, 'nodes': [{'lat': Decimal('1.3690132'), 'lon': Decimal('103.9859122')}, {'lat': Decimal('1.3693166'), 'lon': Decimal('103.9860913')}, {'lat': Decimal('1.3694985'), 'lon': Decimal('103.9862071')}, {'lat': Decimal('1.3696965'), 'lon': Decimal('103.9863411')}, {'lat': Decimal('1.3698684'), 'lon': Decimal('103.9864644')}, {'lat': Decimal('1.3700676'), 'lon': Decimal('103.9866332')}, {'lat': Decimal('1.3703066'), 'lon': Decimal('103.9868583')}, {'lat': Decimal('1.3704925'), 'lon': Decimal('103.9870562')}, {'lat': Decimal('1.3706759'), 'lon': Decimal('103.9872699')}, {'lat': Decimal('1.3709097'), 'lon': Decimal('103.9875724')}, {'lat': Decimal('1.3712411'), 'lon': Decimal('103.9880132')}, {'lat': Decimal('1.3713873'), 'lon': Decimal('103.9882088')}, {'lat': Decimal('1.3717825'), 'lon': Decimal('103.9887348')}]}], 'W3': [{'ref': 'W3', 'id': 23149919, 'nodes': [{'lat': Decimal('1.3727495'), 'lon': Decimal('103.9874854')}, {'lat': Decimal('1.3731984'), 'lon': Decimal('103.9877206')}, {'lat': Decimal('1.3734824'), 'lon': Decimal('103.9878970')}, {'lat': Decimal('1.3737808'), 'lon': Decimal('103.9881120')}, {'lat': Decimal('1.3740288'), 'lon': Decimal('103.9883137')}, {'lat': Decimal('1.3742904'), 'lon': Decimal('103.9885543')}, {'lat': Decimal('1.3745172'), 'lon': Decimal('103.9888046')}, {'lat': Decimal('1.3747212'), 'lon': Decimal('103.9890591')}, {'lat': Decimal('1.3748705'), 'lon': Decimal('103.9892597')}, {'lat': Decimal('1.3753502'), 'lon': Decimal('103.9899290')}, {'lat': Decimal('1.3758237'), 'lon': Decimal('103.9905716')}, {'lat': Decimal('1.3760451'), 'lon': Decimal('103.9908737')}]}], 'V8': [{'ref': 'V8', 'id': 23149923, 'nodes': [{'lat': Decimal('1.3531718'), 'lon': Decimal('103.9816926')}, {'lat': Decimal('1.3531268'), 'lon': Decimal('103.9817598')}, {'lat': Decimal('1.3530879'), 'lon': Decimal('103.9818116')}, {'lat': Decimal('1.3530317'), 'lon': Decimal('103.9818567')}, {'lat': Decimal('1.3529674'), 'lon': Decimal('103.9818971')}, {'lat': Decimal('1.3528957'), 'lon': Decimal('103.9819243')}, {'lat': Decimal('1.3528340'), 'lon': Decimal('103.9819377')}, {'lat': Decimal('1.3527691'), 'lon': Decimal('103.9819432')}, {'lat': Decimal('1.3526996'), 'lon': Decimal('103.9819393')}, {'lat': Decimal('1.3526244'), 'lon': Decimal('103.9819191')}, {'lat': Decimal('1.3525364'), 'lon': Decimal('103.9818899')}]}, {'ref': 'V8', 'id': 540294261, 'nodes': [{'lat': Decimal('1.3529440'), 'lon': Decimal('103.9810766')}, {'lat': Decimal('1.3530126'), 'lon': Decimal('103.9811144')}, {'lat': Decimal('1.3530660'), 'lon': Decimal('103.9811548')}, {'lat': Decimal('1.3531080'), 'lon': Decimal('103.9811970')}, {'lat': Decimal('1.3531496'), 'lon': Decimal('103.9812535')}, {'lat': Decimal('1.3531835'), 'lon': Decimal('103.9813211')}, {'lat': Decimal('1.3532080'), 'lon': Decimal('103.9814023')}, {'lat': Decimal('1.3532152'), 'lon': Decimal('103.9814583')}, {'lat': Decimal('1.3532135'), 'lon': Decimal('103.9815478')}, {'lat': Decimal('1.3531914'), 'lon': Decimal('103.9816430')}]}, {'ref': 'V8', 'id': 741695443, 'nodes': [{'lat': Decimal('1.3537768'), 'lon': Decimal('103.9814312')}, {'lat': Decimal('1.3536933'), 'lon': Decimal('103.9814050')}, {'lat': Decimal('1.3536484'), 'lon': Decimal('103.9813976')}, {'lat': Decimal('1.3535794'), 'lon': Decimal('103.9813906')}, {'lat': Decimal('1.3535141'), 'lon': Decimal('103.9813996')}, {'lat': Decimal('1.3534516'), 'lon': Decimal('103.9814155')}, {'lat': Decimal('1.3533807'), 'lon': Decimal('103.9814478')}, {'lat': Decimal('1.3533198'), 'lon': Decimal('103.9814870')}, {'lat': Decimal('1.3532693'), 'lon': Decimal('103.9815320')}, {'lat': Decimal('1.3532294'), 'lon': Decimal('103.9815795')}, {'lat': Decimal('1.3531914'), 'lon': Decimal('103.9816430')}]}, {'ref': 'V8', 'id': 877667325, 'nodes': [{'lat': Decimal('1.3531718'), 'lon': Decimal('103.9816926')}, {'lat': Decimal('1.3531505'), 'lon': Decimal('103.9817739')}, {'lat': Decimal('1.3531431'), 'lon': Decimal('103.9818642')}, {'lat': Decimal('1.3531549'), 'lon': Decimal('103.9819570')}, {'lat': Decimal('1.3531807'), 'lon': Decimal('103.9820323')}, {'lat': Decimal('1.3532212'), 'lon': Decimal('103.9821051')}, {'lat': Decimal('1.3532609'), 'lon': Decimal('103.9821557')}, {'lat': Decimal('1.3533075'), 'lon': Decimal('103.9821991')}, {'lat': Decimal('1.3533908'), 'lon': Decimal('103.9822532')}]}, {'ref': 'V8', 'id': 877667326, 'nodes': [{'lat': Decimal('1.3531914'), 'lon': Decimal('103.9816430')}, {'lat': Decimal('1.3531718'), 'lon': Decimal('103.9816926')}]}], 'W7': [{'ref': 'W7', 'id': 23149925, 'nodes': [{'lat': Decimal('1.3582973'), 'lon': Decimal('103.9813865')}, {'lat': Decimal('1.3579212'), 'lon': Decimal('103.9812657')}, {'lat': Decimal('1.3576915'), 'lon': Decimal('103.9812219')}, {'lat': Decimal('1.3574169'), 'lon': Decimal('103.9811670')}, {'lat': Decimal('1.3571520'), 'lon': Decimal('103.9811283')}, {'lat': Decimal('1.3568543'), 'lon': Decimal('103.9811060')}, {'lat': Decimal('1.3564655'), 'lon': Decimal('103.9810969')}, {'lat': Decimal('1.3561270'), 'lon': Decimal('103.9811122')}, {'lat': Decimal('1.3556938'), 'lon': Decimal('103.9811663')}, {'lat': Decimal('1.3549123'), 'lon': Decimal('103.9812573')}, {'lat': Decimal('1.3541262'), 'lon': Decimal('103.9813475')}]}, {'ref': 'W7', 'id': 104361025, 'nodes': [{'lat': Decimal('1.3556938'), 'lon': Decimal('103.9811663')}, {'lat': Decimal('1.3555831'), 'lon': Decimal('103.9812013')}, {'lat': Decimal('1.3555137'), 'lon': Decimal('103.9812319')}, {'lat': Decimal('1.3554386'), 'lon': Decimal('103.9812893')}, {'lat': Decimal('1.3553679'), 'lon': Decimal('103.9813652')}, {'lat': Decimal('1.3553096'), 'lon': Decimal('103.9814592')}, {'lat': Decimal('1.3552785'), 'lon': Decimal('103.9815422')}, {'lat': Decimal('1.3552602'), 'lon': Decimal('103.9816353')}, {'lat': Decimal('1.3552570'), 'lon': Decimal('103.9817480')}, {'lat': Decimal('1.3552734'), 'lon': Decimal('103.9818383')}, {'lat': Decimal('1.3552958'), 'lon': Decimal('103.9819006')}, {'lat': Decimal('1.3553342'), 'lon': Decimal('103.9819767')}, {'lat': Decimal('1.3553855'), 'lon': Decimal('103.9820501')}, {'lat': Decimal('1.3554619'), 'lon': Decimal('103.9821232')}, {'lat': Decimal('1.3555438'), 'lon': Decimal('103.9821756')}]}], 'V6': [{'ref': 'V6', 'id': 23150169, 'nodes': [{'lat': Decimal('1.3608731'), 'lon': Decimal('103.9844214')}, {'lat': Decimal('1.3609563'), 'lon': Decimal('103.9844766')}, {'lat': Decimal('1.3610121'), 'lon': Decimal('103.9845309')}, {'lat': Decimal('1.3610602'), 'lon': Decimal('103.9845985')}, {'lat': Decimal('1.3610977'), 'lon': Decimal('103.9846750')}, {'lat': Decimal('1.3611203'), 'lon': Decimal('103.9847562')}, {'lat': Decimal('1.3611253'), 'lon': Decimal('103.9848303')}, {'lat': Decimal('1.3611158'), 'lon': Decimal('103.9849073')}, {'lat': Decimal('1.3611010'), 'lon': Decimal('103.9849770')}]}, {'ref': 'V6', 'id': 23150170, 'nodes': [{'lat': Decimal('1.3616561'), 'lon': Decimal('103.9847538')}, {'lat': Decimal('1.3615799'), 'lon': Decimal('103.9847356')}, {'lat': Decimal('1.3615194'), 'lon': Decimal('103.9847289')}, {'lat': Decimal('1.3614485'), 'lon': Decimal('103.9847335')}, {'lat': Decimal('1.3613708'), 'lon': Decimal('103.9847504')}, {'lat': Decimal('1.3612931'), 'lon': Decimal('103.9847826')}, {'lat': Decimal('1.3612359'), 'lon': Decimal('103.9848190')}, {'lat': Decimal('1.3611922'), 'lon': Decimal('103.9848565')}, {'lat': Decimal('1.3611425'), 'lon': Decimal('103.9849103')}, {'lat': Decimal('1.3611010'), 'lon': Decimal('103.9849770')}]}, {'ref': 'V6', 'id': 173010556, 'nodes': [{'lat': Decimal('1.3611010'), 'lon': Decimal('103.9849770')}, {'lat': Decimal('1.3610643'), 'lon': Decimal('103.9850539')}]}, {'ref': 'V6', 'id': 741695446, 'nodes': [{'lat': Decimal('1.3610643'), 'lon': Decimal('103.9850539')}, {'lat': Decimal('1.3608159'), 'lon': Decimal('103.9856379')}, {'lat': Decimal('1.3607382'), 'lon': Decimal('103.9858206')}]}], 'P': [{'ref': 'P', 'id': 23150177, 'nodes': [{'lat': Decimal('1.3700122'), 'lon': Decimal('103.9887373')}, {'lat': Decimal('1.3699897'), 'lon': Decimal('103.9887928')}, {'lat': Decimal('1.3696563'), 'lon': Decimal('103.9895739')}, {'lat': Decimal('1.3694678'), 'lon': Decimal('103.9900126')}, {'lat': Decimal('1.3692471'), 'lon': Decimal('103.9905229')}, {'lat': Decimal('1.3689905'), 'lon': Decimal('103.9911195')}, {'lat': Decimal('1.3688806'), 'lon': Decimal('103.9913818')}, {'lat': Decimal('1.3685391'), 'lon': Decimal('103.9921831')}, {'lat': Decimal('1.3684515'), 'lon': Decimal('103.9923833')}, {'lat': Decimal('1.3682561'), 'lon': Decimal('103.9928488')}, {'lat': Decimal('1.3680605'), 'lon': Decimal('103.9933087')}, {'lat': Decimal('1.3678558'), 'lon': Decimal('103.9937779')}, {'lat': Decimal('1.3677691'), 'lon': Decimal('103.9939897')}, {'lat': Decimal('1.3674259'), 'lon': Decimal('103.9947810')}, {'lat': Decimal('1.3673793'), 'lon': Decimal('103.9948874')}, {'lat': Decimal('1.3672612'), 'lon': Decimal('103.9951709')}, {'lat': Decimal('1.3670522'), 'lon': Decimal('103.9956576')}, {'lat': Decimal('1.3670377'), 'lon': Decimal('103.9956946')}, {'lat': Decimal('1.3668292'), 'lon': Decimal('103.9961803')}, {'lat': Decimal('1.3666960'), 'lon': Decimal('103.9964912')}, {'lat': Decimal('1.3666657'), 'lon': Decimal('103.9965635')}, {'lat': Decimal('1.3663319'), 'lon': Decimal('103.9973493')}, {'lat': Decimal('1.3663072'), 'lon': Decimal('103.9974044')}]}], 'Q': [{'ref': 'Q', 'id': 23150178, 'nodes': [{'lat': Decimal('1.3683560'), 'lon': Decimal('103.9880426')}, {'lat': Decimal('1.3683296'), 'lon': Decimal('103.9881018')}, {'lat': Decimal('1.3679915'), 'lon': Decimal('103.9888920')}, {'lat': Decimal('1.3672127'), 'lon': Decimal('103.9907111')}, {'lat': Decimal('1.3671081'), 'lon': Decimal('103.9909537')}, {'lat': Decimal('1.3668812'), 'lon': Decimal('103.9914860')}, {'lat': Decimal('1.3667439'), 'lon': Decimal('103.9918125')}, {'lat': Decimal('1.3662503'), 'lon': Decimal('103.9929642')}, {'lat': Decimal('1.3660801'), 'lon': Decimal('103.9933614')}, {'lat': Decimal('1.3658819'), 'lon': Decimal('103.9938272')}, {'lat': Decimal('1.3657799'), 'lon': Decimal('103.9940640')}, {'lat': Decimal('1.3650117'), 'lon': Decimal('103.9958487')}, {'lat': Decimal('1.3646747'), 'lon': Decimal('103.9966465')}, {'lat': Decimal('1.3646446'), 'lon': Decimal('103.9967161')}, {'lat': Decimal('1.3643177'), 'lon': Decimal('103.9974768')}, {'lat': Decimal('1.3642936'), 'lon': Decimal('103.9975340')}, {'lat': Decimal('1.3639545'), 'lon': Decimal('103.9983368')}, {'lat': Decimal('1.3639193'), 'lon': Decimal('103.9984146')}, {'lat': Decimal('1.3638813'), 'lon': Decimal('103.9984921')}, {'lat': Decimal('1.3638368'), 'lon': Decimal('103.9985577')}]}], 'T8': [{'ref': 'T8', 'id': 23161598, 'nodes': [{'lat': Decimal('1.3384246'), 'lon': Decimal('103.9870934')}, {'lat': Decimal('1.3385818'), 'lon': Decimal('103.9871769')}, {'lat': Decimal('1.3387032'), 'lon': Decimal('103.9872502')}, {'lat': Decimal('1.3388143'), 'lon': Decimal('103.9873297')}, {'lat': Decimal('1.3389462'), 'lon': Decimal('103.9874371')}, {'lat': Decimal('1.3390670'), 'lon': Decimal('103.9875513')}, {'lat': Decimal('1.3391839'), 'lon': Decimal('103.9876847')}, {'lat': Decimal('1.3393334'), 'lon': Decimal('103.9878694')}, {'lat': Decimal('1.3396033'), 'lon': Decimal('103.9882246')}, {'lat': Decimal('1.3400738'), 'lon': Decimal('103.9888407')}]}, {'ref': 'T8', 'id': 173010762, 'nodes': [{'lat': Decimal('1.3400675'), 'lon': Decimal('103.9882747')}, {'lat': Decimal('1.3400470'), 'lon': Decimal('103.9883156')}, {'lat': Decimal('1.3400216'), 'lon': Decimal('103.9883779')}, {'lat': Decimal('1.3400047'), 'lon': Decimal('103.9884384')}, {'lat': Decimal('1.3399951'), 'lon': Decimal('103.9885005')}, {'lat': Decimal('1.3399911'), 'lon': Decimal('103.9885662')}, {'lat': Decimal('1.3399975'), 'lon': Decimal('103.9886324')}, {'lat': Decimal('1.3400094'), 'lon': Decimal('103.9886917')}, {'lat': Decimal('1.3400393'), 'lon': Decimal('103.9887754')}, {'lat': Decimal('1.3400738'), 'lon': Decimal('103.9888407')}, {'lat': Decimal('1.3404357'), 'lon': Decimal('103.9893037')}, {'lat': Decimal('1.3406285'), 'lon': Decimal('103.9895224')}, {'lat': Decimal('1.3408153'), 'lon': Decimal('103.9897045')}, {'lat': Decimal('1.3409868'), 'lon': Decimal('103.9898591')}, {'lat': Decimal('1.3412226'), 'lon': Decimal('103.9900426')}, {'lat': Decimal('1.3414589'), 'lon': Decimal('103.9902118')}, {'lat': Decimal('1.3417018'), 'lon': Decimal('103.9903666')}, {'lat': Decimal('1.3421014'), 'lon': Decimal('103.9905869')}]}], 'T7': [{'ref': 'T7', 'id': 23161599, 'nodes': [{'lat': Decimal('1.3421069'), 'lon': Decimal('103.9886387')}, {'lat': Decimal('1.3423096'), 'lon': Decimal('103.9887363')}, {'lat': Decimal('1.3424424'), 'lon': Decimal('103.9888195')}, {'lat': Decimal('1.3425378'), 'lon': Decimal('103.9888863')}, {'lat': Decimal('1.3426753'), 'lon': Decimal('103.9889940')}, {'lat': Decimal('1.3428065'), 'lon': Decimal('103.9891229')}, {'lat': Decimal('1.3429077'), 'lon': Decimal('103.9892293')}, {'lat': Decimal('1.3430018'), 'lon': Decimal('103.9893400')}, {'lat': Decimal('1.3431468'), 'lon': Decimal('103.9895324')}, {'lat': Decimal('1.3433500'), 'lon': Decimal('103.9898026')}, {'lat': Decimal('1.3438390'), 'lon': Decimal('103.9904378')}, {'lat': Decimal('1.3440678'), 'lon': Decimal('103.9907484')}, {'lat': Decimal('1.3442913'), 'lon': Decimal('103.9910114')}, {'lat': Decimal('1.3445318'), 'lon': Decimal('103.9912562')}, {'lat': Decimal('1.3447689'), 'lon': Decimal('103.9914683')}, {'lat': Decimal('1.3450462'), 'lon': Decimal('103.9916859')}, {'lat': Decimal('1.3453413'), 'lon': Decimal('103.9918860')}, {'lat': Decimal('1.3458260'), 'lon': Decimal('103.9921594')}]}], 'T6': [{'ref': 'T6', 'id': 23161642, 'nodes': [{'lat': Decimal('1.3459624'), 'lon': Decimal('103.9922184')}, {'lat': Decimal('1.3465117'), 'lon': Decimal('103.9923710')}, {'lat': Decimal('1.3466913'), 'lon': Decimal('103.9924096')}, {'lat': Decimal('1.3468759'), 'lon': Decimal('103.9924420')}, {'lat': Decimal('1.3470817'), 'lon': Decimal('103.9924680')}, {'lat': Decimal('1.3473215'), 'lon': Decimal('103.9924911')}, {'lat': Decimal('1.3475330'), 'lon': Decimal('103.9925034')}, {'lat': Decimal('1.3476886'), 'lon': Decimal('103.9925049')}, {'lat': Decimal('1.3479054'), 'lon': Decimal('103.9924971')}, {'lat': Decimal('1.3480665'), 'lon': Decimal('103.9924853')}, {'lat': Decimal('1.3483104'), 'lon': Decimal('103.9924600')}, {'lat': Decimal('1.3485385'), 'lon': Decimal('103.9924299')}]}, {'ref': 'T6', 'id': 877667365, 'nodes': [{'lat': Decimal('1.3485385'), 'lon': Decimal('103.9924299')}, {'lat': Decimal('1.3493402'), 'lon': Decimal('103.9923341')}, {'lat': Decimal('1.3498549'), 'lon': Decimal('103.9922710')}, {'lat': Decimal('1.3500477'), 'lon': Decimal('103.9922525')}, {'lat': Decimal('1.3502380'), 'lon': Decimal('103.9922472')}, {'lat': Decimal('1.3504155'), 'lon': Decimal('103.9922568')}, {'lat': Decimal('1.3506072'), 'lon': Decimal('103.9922850')}, {'lat': Decimal('1.3507522'), 'lon': Decimal('103.9923144')}, {'lat': Decimal('1.3509013'), 'lon': Decimal('103.9923508')}]}, {'ref': 'T6', 'id': 887729376, 'nodes': [{'lat': Decimal('1.3485385'), 'lon': Decimal('103.9924299')}, {'lat': Decimal('1.3486437'), 'lon': Decimal('103.9924033')}, {'lat': Decimal('1.3487052'), 'lon': Decimal('103.9923752')}, {'lat': Decimal('1.3487630'), 'lon': Decimal('103.9923369')}, {'lat': Decimal('1.3488178'), 'lon': Decimal('103.9922995')}, {'lat': Decimal('1.3488664'), 'lon': Decimal('103.9922477')}, {'lat': Decimal('1.3489107'), 'lon': Decimal('103.9921861')}, {'lat': Decimal('1.3489428'), 'lon': Decimal('103.9921272')}, {'lat': Decimal('1.3489697'), 'lon': Decimal('103.9920658')}]}], 'T5': [{'ref': 'T5', 'id': 23161645, 'nodes': [{'lat': Decimal('1.3500123'), 'lon': Decimal('103.9939268')}, {'lat': Decimal('1.3506160'), 'lon': Decimal('103.9941119')}, {'lat': Decimal('1.3508532'), 'lon': Decimal('103.9941713')}, {'lat': Decimal('1.3511850'), 'lon': Decimal('103.9942233')}, {'lat': Decimal('1.3514561'), 'lon': Decimal('103.9942546')}, {'lat': Decimal('1.3517926'), 'lon': Decimal('103.9942723')}, {'lat': Decimal('1.3520910'), 'lon': Decimal('103.9942723')}, {'lat': Decimal('1.3524255'), 'lon': Decimal('103.9942458')}, {'lat': Decimal('1.3527424'), 'lon': Decimal('103.9942038')}]}, {'ref': 'T5', 'id': 23161647, 'nodes': [{'lat': Decimal('1.3527424'), 'lon': Decimal('103.9942038')}, {'lat': Decimal('1.3528206'), 'lon': Decimal('103.9941836')}, {'lat': Decimal('1.3528773'), 'lon': Decimal('103.9941649')}, {'lat': Decimal('1.3529324'), 'lon': Decimal('103.9941358')}, {'lat': Decimal('1.3529962'), 'lon': Decimal('103.9940920')}, {'lat': Decimal('1.3530495'), 'lon': Decimal('103.9940439')}, {'lat': Decimal('1.3530959'), 'lon': Decimal('103.9939913')}, {'lat': Decimal('1.3531360'), 'lon': Decimal('103.9939244')}, {'lat': Decimal('1.3531651'), 'lon': Decimal('103.9938615')}]}, {'ref': 'T5', 'id': 372667870, 'nodes': [{'lat': Decimal('1.3527424'), 'lon': Decimal('103.9942038')}, {'lat': Decimal('1.3535380'), 'lon': Decimal('103.9941029')}, {'lat': Decimal('1.3541886'), 'lon': Decimal('103.9940298')}, {'lat': Decimal('1.3543432'), 'lon': Decimal('103.9940184')}, {'lat': Decimal('1.3544719'), 'lon': Decimal('103.9940190')}, {'lat': Decimal('1.3546200'), 'lon': Decimal('103.9940302')}, {'lat': Decimal('1.3547680'), 'lon': Decimal('103.9940481')}, {'lat': Decimal('1.3548961'), 'lon': Decimal('103.9940719')}, {'lat': Decimal('1.3550316'), 'lon': Decimal('103.9941128')}]}], 'T': [{'ref': 'T', 'id': 23161784, 'nodes': [{'lat': Decimal('1.3637351'), 'lon': Decimal('103.9977646')}, {'lat': Decimal('1.3629839'), 'lon': Decimal('103.9974473')}, {'lat': Decimal('1.3621980'), 'lon': Decimal('103.9971188')}, {'lat': Decimal('1.3619690'), 'lon': Decimal('103.9970220')}, {'lat': Decimal('1.3618314'), 'lon': Decimal('103.9969638')}, {'lat': Decimal('1.3611496'), 'lon': Decimal('103.9966799')}, {'lat': Decimal('1.3610291'), 'lon': Decimal('103.9966309')}, {'lat': Decimal('1.3607745'), 'lon': Decimal('103.9965269')}, {'lat': Decimal('1.3594733'), 'lon': Decimal('103.9959722')}, {'lat': Decimal('1.3587441'), 'lon': Decimal('103.9956617')}, {'lat': Decimal('1.3586460'), 'lon': Decimal('103.9956199')}, {'lat': Decimal('1.3579284'), 'lon': Decimal('103.9953165')}, {'lat': Decimal('1.3559190'), 'lon': Decimal('103.9944625')}, {'lat': Decimal('1.3550316'), 'lon': Decimal('103.9941128')}, {'lat': Decimal('1.3541108'), 'lon': Decimal('103.9937260')}, {'lat': Decimal('1.3537757'), 'lon': Decimal('103.9935815')}, {'lat': Decimal('1.3530337'), 'lon': Decimal('103.9932751')}, {'lat': Decimal('1.3529309'), 'lon': Decimal('103.9932310')}, {'lat': Decimal('1.3525635'), 'lon': Decimal('103.9930742')}, {'lat': Decimal('1.3509013'), 'lon': Decimal('103.9923508')}, {'lat': Decimal('1.3486637'), 'lon': Decimal('103.9914033')}, {'lat': Decimal('1.3486095'), 'lon': Decimal('103.9913799')}, {'lat': Decimal('1.3478931'), 'lon': Decimal('103.9910775')}, {'lat': Decimal('1.3478028'), 'lon': Decimal('103.9910395')}, {'lat': Decimal('1.3470811'), 'lon': Decimal('103.9907363')}, {'lat': Decimal('1.3444463'), 'lon': Decimal('103.9896256')}, {'lat': Decimal('1.3436043'), 'lon': Decimal('103.9892682')}, {'lat': Decimal('1.3434999'), 'lon': Decimal('103.9892236')}, {'lat': Decimal('1.3427017'), 'lon': Decimal('103.9888857')}, {'lat': Decimal('1.3421069'), 'lon': Decimal('103.9886387')}, {'lat': Decimal('1.3407058'), 'lon': Decimal('103.9880484')}, {'lat': Decimal('1.3406248'), 'lon': Decimal('103.9880113')}, {'lat': Decimal('1.3398594'), 'lon': Decimal('103.9876870')}, {'lat': Decimal('1.3384246'), 'lon': Decimal('103.9870934')}, {'lat': Decimal('1.3372632'), 'lon': Decimal('103.9865980')}, {'lat': Decimal('1.3365669'), 'lon': Decimal('103.9863035')}, {'lat': Decimal('1.3365158'), 'lon': Decimal('103.9862844')}, {'lat': Decimal('1.3364010'), 'lon': Decimal('103.9862347')}, {'lat': Decimal('1.3357375'), 'lon': Decimal('103.9859489')}, {'lat': Decimal('1.3356192'), 'lon': Decimal('103.9859014')}, {'lat': Decimal('1.3354172'), 'lon': Decimal('103.9858155')}, {'lat': Decimal('1.3344870'), 'lon': Decimal('103.9854207')}, {'lat': Decimal('1.3312017'), 'lon': Decimal('103.9840308')}, {'lat': Decimal('1.3302337'), 'lon': Decimal('103.9836236')}, {'lat': Decimal('1.3301386'), 'lon': Decimal('103.9835853')}]}, {'ref': 'T', 'id': 791010734, 'nodes': [{'lat': Decimal('1.3659245'), 'lon': Decimal('103.9982989')}, {'lat': Decimal('1.3658892'), 'lon': Decimal('103.9984242')}, {'lat': Decimal('1.3658819'), 'lon': Decimal('103.9985193')}, {'lat': Decimal('1.3658960'), 'lon': Decimal('103.9986177')}, {'lat': Decimal('1.3659296'), 'lon': Decimal('103.9986960')}, {'lat': Decimal('1.3659874'), 'lon': Decimal('103.9987888')}, {'lat': Decimal('1.3660319'), 'lon': Decimal('103.9988373')}, {'lat': Decimal('1.3660899'), 'lon': Decimal('103.9988831')}, {'lat': Decimal('1.3661612'), 'lon': Decimal('103.9989187')}, {'lat': Decimal('1.3690686'), 'lon': Decimal('104.0001273')}, {'lat': Decimal('1.3694414'), 'lon': Decimal('104.0003027')}, {'lat': Decimal('1.3694692'), 'lon': Decimal('104.0003158')}, {'lat': Decimal('1.3695363'), 'lon': Decimal('104.0003542')}, {'lat': Decimal('1.3696021'), 'lon': Decimal('104.0004033')}, {'lat': Decimal('1.3696587'), 'lon': Decimal('104.0004714')}, {'lat': Decimal('1.3697053'), 'lon': Decimal('104.0005597')}, {'lat': Decimal('1.3697299'), 'lon': Decimal('104.0006682')}, {'lat': Decimal('1.3697320'), 'lon': Decimal('104.0007555')}, {'lat': Decimal('1.3696983'), 'lon': Decimal('104.0008868')}]}, {'ref': 'T', 'id': 877667354, 'nodes': [{'lat': Decimal('1.3653978'), 'lon': Decimal('103.9984751')}, {'lat': Decimal('1.3645289'), 'lon': Decimal('103.9981062')}, {'lat': Decimal('1.3637351'), 'lon': Decimal('103.9977646')}]}, {'ref': 'T', 'id': 1080682537, 'nodes': [{'lat': Decimal('1.3659874'), 'lon': Decimal('103.9987888')}, {'lat': Decimal('1.3658879'), 'lon': Decimal('103.9987002')}, {'lat': Decimal('1.3658074'), 'lon': Decimal('103.9986513')}, {'lat': Decimal('1.3656951'), 'lon': Decimal('103.9986001')}, {'lat': Decimal('1.3653978'), 'lon': Decimal('103.9984751')}]}], 'P5': [{'ref': 'P5', 'id': 23161785, 'nodes': [{'lat': Decimal('1.3584494'), 'lon': Decimal('103.9951071')}, {'lat': Decimal('1.3584951'), 'lon': Decimal('103.9949971')}, {'lat': Decimal('1.3587867'), 'lon': Decimal('103.9943166')}, {'lat': Decimal('1.3592168'), 'lon': Decimal('103.9933125')}, {'lat': Decimal('1.3592333'), 'lon': Decimal('103.9932736')}]}], 'T4': [{'ref': 'T4', 'id': 23161789, 'nodes': [{'lat': Decimal('1.3607745'), 'lon': Decimal('103.9965269')}, {'lat': Decimal('1.3606312'), 'lon': Decimal('103.9964874')}, {'lat': Decimal('1.3605109'), 'lon': Decimal('103.9964684')}, {'lat': Decimal('1.3603885'), 'lon': Decimal('103.9964641')}, {'lat': Decimal('1.3602213'), 'lon': Decimal('103.9964756')}, {'lat': Decimal('1.3593861'), 'lon': Decimal('103.9965723')}, {'lat': Decimal('1.3585863'), 'lon': Decimal('103.9966699')}]}, {'ref': 'T4', 'id': 173010654, 'nodes': [{'lat': Decimal('1.3585863'), 'lon': Decimal('103.9966699')}, {'lat': Decimal('1.3581150'), 'lon': Decimal('103.9967264')}, {'lat': Decimal('1.3577778'), 'lon': Decimal('103.9967414')}, {'lat': Decimal('1.3574482'), 'lon': Decimal('103.9967320')}, {'lat': Decimal('1.3570555'), 'lon': Decimal('103.9966992')}, {'lat': Decimal('1.3566525'), 'lon': Decimal('103.9966280')}, {'lat': Decimal('1.3562806'), 'lon': Decimal('103.9965270')}, {'lat': Decimal('1.3557679'), 'lon': Decimal('103.9963541')}]}], 'MY5': [{'ref': 'MY5', 'id': 104359773, 'nodes': [{'lat': Decimal('1.3377743'), 'lon': Decimal('104.0081206')}, {'lat': Decimal('1.3380355'), 'lon': Decimal('104.0082037')}, {'lat': Decimal('1.3381810'), 'lon': Decimal('104.0082344')}, {'lat': Decimal('1.3383094'), 'lon': Decimal('104.0082524')}, {'lat': Decimal('1.3384401'), 'lon': Decimal('104.0082624')}, {'lat': Decimal('1.3385607'), 'lon': Decimal('104.0082683')}, {'lat': Decimal('1.3386866'), 'lon': Decimal('104.0082657')}, {'lat': Decimal('1.3388157'), 'lon': Decimal('104.0082548')}, {'lat': Decimal('1.3389561'), 'lon': Decimal('104.0082402')}, {'lat': Decimal('1.3392546'), 'lon': Decimal('104.0082016')}, {'lat': Decimal('1.3396415'), 'lon': Decimal('104.0081570')}, {'lat': Decimal('1.3401618'), 'lon': Decimal('104.0080920')}, {'lat': Decimal('1.3404790'), 'lon': Decimal('104.0080627')}, {'lat': Decimal('1.3407104'), 'lon': Decimal('104.0080525')}, {'lat': Decimal('1.3410076'), 'lon': Decimal('104.0080565')}, {'lat': Decimal('1.3412184'), 'lon': Decimal('104.0080710')}, {'lat': Decimal('1.3413947'), 'lon': Decimal('104.0080880')}, {'lat': Decimal('1.3416502'), 'lon': Decimal('104.0081241')}, {'lat': Decimal('1.3419558'), 'lon': Decimal('104.0081920')}, {'lat': Decimal('1.3422341'), 'lon': Decimal('104.0082670')}, {'lat': Decimal('1.3425212'), 'lon': Decimal('104.0083638')}, {'lat': Decimal('1.3429705'), 'lon': Decimal('104.0085344')}]}, {'ref': 'MY5', 'id': 791010753, 'nodes': [{'lat': Decimal('1.3392546'), 'lon': Decimal('104.0082016')}, {'lat': Decimal('1.3391809'), 'lon': Decimal('104.0082182')}, {'lat': Decimal('1.3391294'), 'lon': Decimal('104.0082468')}, {'lat': Decimal('1.3390899'), 'lon': Decimal('104.0082837')}, {'lat': Decimal('1.3390616'), 'lon': Decimal('104.0083211')}, {'lat': Decimal('1.3390383'), 'lon': Decimal('104.0083591')}, {'lat': Decimal('1.3390194'), 'lon': Decimal('104.0084115')}, {'lat': Decimal('1.3390147'), 'lon': Decimal('104.0084704')}, {'lat': Decimal('1.3390236'), 'lon': Decimal('104.0085340')}, {'lat': Decimal('1.3390418'), 'lon': Decimal('104.0085897')}, {'lat': Decimal('1.3390751'), 'lon': Decimal('104.0086416')}, {'lat': Decimal('1.3391086'), 'lon': Decimal('104.0086750')}, {'lat': Decimal('1.3391632'), 'lon': Decimal('104.0087120')}]}], 'MY': [{'ref': 'MY', 'id': 104359775, 'nodes': [{'lat': Decimal('1.3289112'), 'lon': Decimal('104.0043815')}, {'lat': Decimal('1.3292524'), 'lon': Decimal('104.0045244')}, {'lat': Decimal('1.3297208'), 'lon': Decimal('104.0047233')}, {'lat': Decimal('1.3306608'), 'lon': Decimal('104.0051220')}, {'lat': Decimal('1.3308630'), 'lon': Decimal('104.0052070')}, {'lat': Decimal('1.3310861'), 'lon': Decimal('104.0053007')}, {'lat': Decimal('1.3312897'), 'lon': Decimal('104.0053863')}, {'lat': Decimal('1.3317294'), 'lon': Decimal('104.0055710')}, {'lat': Decimal('1.3319348'), 'lon': Decimal('104.0056577')}, {'lat': Decimal('1.3332849'), 'lon': Decimal('104.0062271')}, {'lat': Decimal('1.3333914'), 'lon': Decimal('104.0062729')}, {'lat': Decimal('1.3334795'), 'lon': Decimal('104.0063100')}, {'lat': Decimal('1.3337071'), 'lon': Decimal('104.0064059')}, {'lat': Decimal('1.3338328'), 'lon': Decimal('104.0064575')}, {'lat': Decimal('1.3339205'), 'lon': Decimal('104.0064967')}, {'lat': Decimal('1.3341077'), 'lon': Decimal('104.0065735')}, {'lat': Decimal('1.3343210'), 'lon': Decimal('104.0066632')}, {'lat': Decimal('1.3345163'), 'lon': Decimal('104.0067467')}, {'lat': Decimal('1.3354112'), 'lon': Decimal('104.0071278')}, {'lat': Decimal('1.3369416'), 'lon': Decimal('104.0077706')}, {'lat': Decimal('1.3371366'), 'lon': Decimal('104.0078532')}, {'lat': Decimal('1.3373644'), 'lon': Decimal('104.0079503')}, {'lat': Decimal('1.3375640'), 'lon': Decimal('104.0080332')}, {'lat': Decimal('1.3377743'), 'lon': Decimal('104.0081206')}, {'lat': Decimal('1.3379698'), 'lon': Decimal('104.0082047')}, {'lat': Decimal('1.3381653'), 'lon': Decimal('104.0082887')}, {'lat': Decimal('1.3391632'), 'lon': Decimal('104.0087120')}, {'lat': Decimal('1.3392276'), 'lon': Decimal('104.0087406')}, {'lat': Decimal('1.3403434'), 'lon': Decimal('104.0092089')}, {'lat': Decimal('1.3405241'), 'lon': Decimal('104.0092858')}, {'lat': Decimal('1.3407638'), 'lon': Decimal('104.0093872')}, {'lat': Decimal('1.3409590'), 'lon': Decimal('104.0094705')}, {'lat': Decimal('1.3417326'), 'lon': Decimal('104.0098008')}, {'lat': Decimal('1.3424887'), 'lon': Decimal('104.0101133')}, {'lat': Decimal('1.3438834'), 'lon': Decimal('104.0107031')}, {'lat': Decimal('1.3454352'), 'lon': Decimal('104.0113577')}, {'lat': Decimal('1.3468099'), 'lon': Decimal('104.0119369')}, {'lat': Decimal('1.3492745'), 'lon': Decimal('104.0129792')}, {'lat': Decimal('1.3506378'), 'lon': Decimal('104.0135562')}, {'lat': Decimal('1.3517960'), 'lon': Decimal('104.0140512')}, {'lat': Decimal('1.3525889'), 'lon': Decimal('104.0143786')}, {'lat': Decimal('1.3544268'), 'lon': Decimal('104.0151535')}, {'lat': Decimal('1.3548201'), 'lon': Decimal('104.0153200')}]}, {'ref': 'MY', 'id': 1080682532, 'nodes': [{'lat': Decimal('1.3221277'), 'lon': Decimal('104.0013812')}, {'lat': Decimal('1.3221610'), 'lon': Decimal('104.0014435')}, {'lat': Decimal('1.3222222'), 'lon': Decimal('104.0015206')}, {'lat': Decimal('1.3222846'), 'lon': Decimal('104.0015744')}, {'lat': Decimal('1.3224089'), 'lon': Decimal('104.0016377')}, {'lat': Decimal('1.3242722'), 'lon': Decimal('104.0024246')}, {'lat': Decimal('1.3262983'), 'lon': Decimal('104.0032797')}, {'lat': Decimal('1.3267493'), 'lon': Decimal('104.0034708')}, {'lat': Decimal('1.3283384'), 'lon': Decimal('104.0041395')}, {'lat': Decimal('1.3284694'), 'lon': Decimal('104.0041927')}, {'lat': Decimal('1.3289112'), 'lon': Decimal('104.0043815')}]}, {'ref': 'MY', 'id': 1080682534, 'nodes': [{'lat': Decimal('1.3548201'), 'lon': Decimal('104.0153200')}, {'lat': Decimal('1.3568276'), 'lon': Decimal('104.0161925')}, {'lat': Decimal('1.3568999'), 'lon': Decimal('104.0162410')}, {'lat': Decimal('1.3569690'), 'lon': Decimal('104.0163177')}, {'lat': Decimal('1.3570190'), 'lon': Decimal('104.0164181')}, {'lat': Decimal('1.3570346'), 'lon': Decimal('104.0165232')}]}], 'MY6': [{'ref': 'MY6', 'id': 104359780, 'nodes': [{'lat': Decimal('1.3341077'), 'lon': Decimal('104.0065735')}, {'lat': Decimal('1.3342273'), 'lon': Decimal('104.0066067')}, {'lat': Decimal('1.3343456'), 'lon': Decimal('104.0066345')}, {'lat': Decimal('1.3344491'), 'lon': Decimal('104.0066548')}, {'lat': Decimal('1.3345700'), 'lon': Decimal('104.0066730')}, {'lat': Decimal('1.3347131'), 'lon': Decimal('104.0066855')}, {'lat': Decimal('1.3348392'), 'lon': Decimal('104.0066895')}, {'lat': Decimal('1.3350061'), 'lon': Decimal('104.0066824')}, {'lat': Decimal('1.3351950'), 'lon': Decimal('104.0066598')}, {'lat': Decimal('1.3354750'), 'lon': Decimal('104.0066253')}, {'lat': Decimal('1.3358831'), 'lon': Decimal('104.0065814')}, {'lat': Decimal('1.3365524'), 'lon': Decimal('104.0064980')}, {'lat': Decimal('1.3368038'), 'lon': Decimal('104.0064769')}, {'lat': Decimal('1.3371036'), 'lon': Decimal('104.0064731')}, {'lat': Decimal('1.3373716'), 'lon': Decimal('104.0064808')}, {'lat': Decimal('1.3376775'), 'lon': Decimal('104.0065135')}, {'lat': Decimal('1.3379594'), 'lon': Decimal('104.0065572')}, {'lat': Decimal('1.3382520'), 'lon': Decimal('104.0066189')}, {'lat': Decimal('1.3385830'), 'lon': Decimal('104.0067140')}, {'lat': Decimal('1.3389743'), 'lon': Decimal('104.0068473')}]}, {'ref': 'MY6', 'id': 791010761, 'nodes': [{'lat': Decimal('1.3354750'), 'lon': Decimal('104.0066253')}, {'lat': Decimal('1.3354205'), 'lon': Decimal('104.0066436')}, {'lat': Decimal('1.3353791'), 'lon': Decimal('104.0066670')}, {'lat': Decimal('1.3353422'), 'lon': Decimal('104.0066985')}, {'lat': Decimal('1.3353122'), 'lon': Decimal('104.0067377')}, {'lat': Decimal('1.3352855'), 'lon': Decimal('104.0067886')}, {'lat': Decimal('1.3352707'), 'lon': Decimal('104.0068474')}, {'lat': Decimal('1.3352654'), 'lon': Decimal('104.0068989')}, {'lat': Decimal('1.3352790'), 'lon': Decimal('104.0069685')}, {'lat': Decimal('1.3353035'), 'lon': Decimal('104.0070246')}, {'lat': Decimal('1.3353472'), 'lon': Decimal('104.0070810')}, {'lat': Decimal('1.3354112'), 'lon': Decimal('104.0071278')}]}], 'MY7': [{'ref': 'MY7', 'id': 104359782, 'nodes': [{'lat': Decimal('1.3338328'), 'lon': Decimal('104.0064575')}, {'lat': Decimal('1.3337913'), 'lon': Decimal('104.0064307')}, {'lat': Decimal('1.3337487'), 'lon': Decimal('104.0063894')}, {'lat': Decimal('1.3337150'), 'lon': Decimal('104.0063387')}, {'lat': Decimal('1.3336972'), 'lon': Decimal('104.0062908')}, {'lat': Decimal('1.3336900'), 'lon': Decimal('104.0062416')}, {'lat': Decimal('1.3336912'), 'lon': Decimal('104.0061917')}, {'lat': Decimal('1.3337077'), 'lon': Decimal('104.0061277')}, {'lat': Decimal('1.3339168'), 'lon': Decimal('104.0056382')}, {'lat': Decimal('1.3340512'), 'lon': Decimal('104.0053182')}, {'lat': Decimal('1.3340748'), 'lon': Decimal('104.0052315')}, {'lat': Decimal('1.3340823'), 'lon': Decimal('104.0051336')}, {'lat': Decimal('1.3340638'), 'lon': Decimal('104.0050056')}, {'lat': Decimal('1.3340278'), 'lon': Decimal('104.0049096')}, {'lat': Decimal('1.3339747'), 'lon': Decimal('104.0048227')}, {'lat': Decimal('1.3339029'), 'lon': Decimal('104.0047438')}, {'lat': Decimal('1.3338319'), 'lon': Decimal('104.0046911')}, {'lat': Decimal('1.3337209'), 'lon': Decimal('104.0046262')}]}, {'ref': 'MY7', 'id': 791010762, 'nodes': [{'lat': Decimal('1.3337077'), 'lon': Decimal('104.0061277')}, {'lat': Decimal('1.3336780'), 'lon': Decimal('104.0061742')}, {'lat': Decimal('1.3336465'), 'lon': Decimal('104.0062086')}, {'lat': Decimal('1.3336094'), 'lon': Decimal('104.0062384')}, {'lat': Decimal('1.3335503'), 'lon': Decimal('104.0062658')}, {'lat': Decimal('1.3334964'), 'lon': Decimal('104.0062795')}, {'lat': Decimal('1.3334465'), 'lon': Decimal('104.0062825')}, {'lat': Decimal('1.3333914'), 'lon': Decimal('104.0062729')}]}, {'ref': 'MY7', 'id': 791010765, 'nodes': [{'lat': Decimal('1.3340512'), 'lon': Decimal('104.0053182')}, {'lat': Decimal('1.3341025'), 'lon': Decimal('104.0052421')}, {'lat': Decimal('1.3341737'), 'lon': Decimal('104.0051651')}, {'lat': Decimal('1.3342464'), 'lon': Decimal('104.0051117')}, {'lat': Decimal('1.3343231'), 'lon': Decimal('104.0050721')}, {'lat': Decimal('1.3344134'), 'lon': Decimal('104.0050424')}, {'lat': Decimal('1.3345162'), 'lon': Decimal('104.0050251')}, {'lat': Decimal('1.3346137'), 'lon': Decimal('104.0050294')}, {'lat': Decimal('1.3347282'), 'lon': Decimal('104.0050532')}]}], 'R': [{'ref': 'R', 'id': 142868910, 'nodes': [{'lat': Decimal('1.3466271'), 'lon': Decimal('103.9833111')}, {'lat': Decimal('1.3475156'), 'lon': Decimal('103.9812147')}, {'lat': Decimal('1.3478424'), 'lon': Decimal('103.9804460')}, {'lat': Decimal('1.3478730'), 'lon': Decimal('103.9803717')}, {'lat': Decimal('1.3482015'), 'lon': Decimal('103.9796062')}, {'lat': Decimal('1.3482355'), 'lon': Decimal('103.9795254')}, {'lat': Decimal('1.3484002'), 'lon': Decimal('103.9791452')}]}, {'ref': 'R', 'id': 142868915, 'nodes': [{'lat': Decimal('1.3461072'), 'lon': Decimal('103.9845027')}, {'lat': Decimal('1.3466271'), 'lon': Decimal('103.9833111')}]}, {'ref': 'R', 'id': 142868916, 'nodes': [{'lat': Decimal('1.3438390'), 'lon': Decimal('103.9904378')}, {'lat': Decimal('1.3437978'), 'lon': Decimal('103.9903650')}, {'lat': Decimal('1.3437725'), 'lon': Decimal('103.9903062')}, {'lat': Decimal('1.3437533'), 'lon': Decimal('103.9902328')}, {'lat': Decimal('1.3437441'), 'lon': Decimal('103.9901740')}, {'lat': Decimal('1.3437451'), 'lon': Decimal('103.9901034')}, {'lat': Decimal('1.3437539'), 'lon': Decimal('103.9900345')}, {'lat': Decimal('1.3437705'), 'lon': Decimal('103.9899665')}, {'lat': Decimal('1.3438001'), 'lon': Decimal('103.9898934')}, {'lat': Decimal('1.3438156'), 'lon': Decimal('103.9898623')}, {'lat': Decimal('1.3441765'), 'lon': Decimal('103.9890163')}, {'lat': Decimal('1.3441935'), 'lon': Decimal('103.9889740')}, {'lat': Decimal('1.3445261'), 'lon': Decimal('103.9881983')}, {'lat': Decimal('1.3449172'), 'lon': Decimal('103.9872863')}, {'lat': Decimal('1.3452548'), 'lon': Decimal('103.9865003')}, {'lat': Decimal('1.3461072'), 'lon': Decimal('103.9845027')}]}], 'V9': [{'ref': 'V9', 'id': 173010508, 'nodes': [{'lat': Decimal('1.3486790'), 'lon': Decimal('103.9808868')}, {'lat': Decimal('1.3483115'), 'lon': Decimal('103.9814621')}, {'lat': Decimal('1.3482703'), 'lon': Decimal('103.9815320')}, {'lat': Decimal('1.3479561'), 'lon': Decimal('103.9822615')}, {'lat': Decimal('1.3479224'), 'lon': Decimal('103.9823480')}, {'lat': Decimal('1.3479082'), 'lon': Decimal('103.9824187')}, {'lat': Decimal('1.3479035'), 'lon': Decimal('103.9824855')}, {'lat': Decimal('1.3479086'), 'lon': Decimal('103.9825582')}, {'lat': Decimal('1.3479260'), 'lon': Decimal('103.9826273')}, {'lat': Decimal('1.3479563'), 'lon': Decimal('103.9826954')}, {'lat': Decimal('1.3482168'), 'lon': Decimal('103.9832033')}, {'lat': Decimal('1.3484812'), 'lon': Decimal('103.9837214')}, {'lat': Decimal('1.3486708'), 'lon': Decimal('103.9840954')}]}, {'ref': 'V9', 'id': 741695442, 'nodes': [{'lat': Decimal('1.3494949'), 'lon': Decimal('103.9796220')}, {'lat': Decimal('1.3493317'), 'lon': Decimal('103.9800042')}, {'lat': Decimal('1.3493057'), 'lon': Decimal('103.9800707')}]}], 'P6': [{'ref': 'P6', 'id': 173010509, 'nodes': [{'lat': Decimal('1.3585896'), 'lon': Decimal('103.9933659')}, {'lat': Decimal('1.3585478'), 'lon': Decimal('103.9933054')}, {'lat': Decimal('1.3582459'), 'lon': Decimal('103.9929151')}, {'lat': Decimal('1.3579411'), 'lon': Decimal('103.9925025')}, {'lat': Decimal('1.3578190'), 'lon': Decimal('103.9923551')}, {'lat': Decimal('1.3577616'), 'lon': Decimal('103.9922970')}, {'lat': Decimal('1.3576823'), 'lon': Decimal('103.9922277')}, {'lat': Decimal('1.3576057'), 'lon': Decimal('103.9921752')}, {'lat': Decimal('1.3575097'), 'lon': Decimal('103.9921221')}]}, {'ref': 'P6', 'id': 877667356, 'nodes': [{'lat': Decimal('1.3587867'), 'lon': Decimal('103.9943166')}, {'lat': Decimal('1.3587941'), 'lon': Decimal('103.9942367')}, {'lat': Decimal('1.3588052'), 'lon': Decimal('103.9941211')}, {'lat': Decimal('1.3588104'), 'lon': Decimal('103.9939929')}, {'lat': Decimal('1.3587965'), 'lon': Decimal('103.9938608')}, {'lat': Decimal('1.3587700'), 'lon': Decimal('103.9937383')}, {'lat': Decimal('1.3587348'), 'lon': Decimal('103.9936305')}, {'lat': Decimal('1.3586927'), 'lon': Decimal('103.9935340')}, {'lat': Decimal('1.3586472'), 'lon': Decimal('103.9934503')}, {'lat': Decimal('1.3585896'), 'lon': Decimal('103.9933659')}]}], 'R6': [{'ref': 'R6', 'id': 173010510, 'nodes': [{'lat': Decimal('1.3486205'), 'lon': Decimal('103.9904194')}, {'lat': Decimal('1.3486839'), 'lon': Decimal('103.9902941')}, {'lat': Decimal('1.3487287'), 'lon': Decimal('103.9902151')}, {'lat': Decimal('1.3487740'), 'lon': Decimal('103.9901516')}, {'lat': Decimal('1.3488194'), 'lon': Decimal('103.9900958')}, {'lat': Decimal('1.3488599'), 'lon': Decimal('103.9900503')}, {'lat': Decimal('1.3489293'), 'lon': Decimal('103.9899811')}, {'lat': Decimal('1.3489931'), 'lon': Decimal('103.9899294')}, {'lat': Decimal('1.3490803'), 'lon': Decimal('103.9898697')}, {'lat': Decimal('1.3492023'), 'lon': Decimal('103.9898072')}, {'lat': Decimal('1.3492820'), 'lon': Decimal('103.9897721')}, {'lat': Decimal('1.3493501'), 'lon': Decimal('103.9897511')}, {'lat': Decimal('1.3494590'), 'lon': Decimal('103.9897240')}, {'lat': Decimal('1.3495670'), 'lon': Decimal('103.9897085')}, {'lat': Decimal('1.3498318'), 'lon': Decimal('103.9896747')}, {'lat': Decimal('1.3500584'), 'lon': Decimal('103.9896466')}, {'lat': Decimal('1.3507719'), 'lon': Decimal('103.9895577')}, {'lat': Decimal('1.3513034'), 'lon': Decimal('103.9894966')}, {'lat': Decimal('1.3513569'), 'lon': Decimal('103.9894918')}, {'lat': Decimal('1.3514057'), 'lon': Decimal('103.9894885')}, {'lat': Decimal('1.3514643'), 'lon': Decimal('103.9894927')}, {'lat': Decimal('1.3515762'), 'lon': Decimal('103.9895175')}]}], 'P1': [{'ref': 'P1', 'id': 173010512, 'nodes': [{'lat': Decimal('1.3657355'), 'lon': Decimal('103.9976256')}, {'lat': Decimal('1.3648677'), 'lon': Decimal('103.9972562')}, {'lat': Decimal('1.3640784'), 'lon': Decimal('103.9969278')}, {'lat': Decimal('1.3633511'), 'lon': Decimal('103.9966170')}, {'lat': Decimal('1.3625665'), 'lon': Decimal('103.9962796')}, {'lat': Decimal('1.3622107'), 'lon': Decimal('103.9961307')}, {'lat': Decimal('1.3614845'), 'lon': Decimal('103.9958287')}, {'lat': Decimal('1.3598365'), 'lon': Decimal('103.9951376')}, {'lat': Decimal('1.3591446'), 'lon': Decimal('103.9948445')}, {'lat': Decimal('1.3590051'), 'lon': Decimal('103.9947833')}]}, {'ref': 'P1', 'id': 877667352, 'nodes': [{'lat': Decimal('1.3667420'), 'lon': Decimal('103.9980529')}, {'lat': Decimal('1.3665309'), 'lon': Decimal('103.9979661')}, {'lat': Decimal('1.3657355'), 'lon': Decimal('103.9976256')}]}], 'R8': [{'ref': 'R8', 'id': 173010513, 'nodes': [{'lat': Decimal('1.3429765'), 'lon': Decimal('103.9880158')}, {'lat': Decimal('1.3430826'), 'lon': Decimal('103.9880613')}, {'lat': Decimal('1.3438601'), 'lon': Decimal('103.9883877')}, {'lat': Decimal('1.3439626'), 'lon': Decimal('103.9884298')}, {'lat': Decimal('1.3447612'), 'lon': Decimal('103.9887613')}, {'lat': Decimal('1.3450441'), 'lon': Decimal('103.9888807')}, {'lat': Decimal('1.3452592'), 'lon': Decimal('103.9889725')}, {'lat': Decimal('1.3456441'), 'lon': Decimal('103.9891366')}, {'lat': Decimal('1.3458645'), 'lon': Decimal('103.9892314')}, {'lat': Decimal('1.3461595'), 'lon': Decimal('103.9893583')}, {'lat': Decimal('1.3463862'), 'lon': Decimal('103.9894535')}, {'lat': Decimal('1.3465941'), 'lon': Decimal('103.9895407')}, {'lat': Decimal('1.3468379'), 'lon': Decimal('103.9896442')}, {'lat': Decimal('1.3470302'), 'lon': Decimal('103.9897258')}, {'lat': Decimal('1.3472653'), 'lon': Decimal('103.9898251')}, {'lat': Decimal('1.3474373'), 'lon': Decimal('103.9898978')}, {'lat': Decimal('1.3481529'), 'lon': Decimal('103.9901960')}, {'lat': Decimal('1.3482680'), 'lon': Decimal('103.9902451')}]}], 'S': [{'ref': 'S', 'id': 173010514, 'nodes': [{'lat': Decimal('1.3477474'), 'lon': Decimal('103.9782426')}, {'lat': Decimal('1.3477102'), 'lon': Decimal('103.9783147')}, {'lat': Decimal('1.3476758'), 'lon': Decimal('103.9783936')}, {'lat': Decimal('1.3473508'), 'lon': Decimal('103.9791557')}, {'lat': Decimal('1.3473136'), 'lon': Decimal('103.9792456')}, {'lat': Decimal('1.3469917'), 'lon': Decimal('103.9799984')}, {'lat': Decimal('1.3469597'), 'lon': Decimal('103.9800757')}, {'lat': Decimal('1.3466166'), 'lon': Decimal('103.9808723')}, {'lat': Decimal('1.3457371'), 'lon': Decimal('103.9829334')}]}, {'ref': 'S', 'id': 204192279, 'nodes': [{'lat': Decimal('1.3452259'), 'lon': Decimal('103.9841271')}, {'lat': Decimal('1.3443841'), 'lon': Decimal('103.9860991')}, {'lat': Decimal('1.3440432'), 'lon': Decimal('103.9868993')}, {'lat': Decimal('1.3436457'), 'lon': Decimal('103.9878237')}, {'lat': Decimal('1.3433048'), 'lon': Decimal('103.9886235')}, {'lat': Decimal('1.3432854'), 'lon': Decimal('103.9886625')}, {'lat': Decimal('1.3431192'), 'lon': Decimal('103.9890457')}]}, {'ref': 'S', 'id': 204192284, 'nodes': [{'lat': Decimal('1.3457371'), 'lon': Decimal('103.9829334')}, {'lat': Decimal('1.3452259'), 'lon': Decimal('103.9841271')}]}], 'N': [{'ref': 'N', 'id': 173010515, 'nodes': [{'lat': Decimal('1.3713138'), 'lon': Decimal('103.9884360')}, {'lat': Decimal('1.3712794'), 'lon': Decimal('103.9885283')}, {'lat': Decimal('1.3710124'), 'lon': Decimal('103.9891588')}, {'lat': Decimal('1.3709893'), 'lon': Decimal('103.9892132')}, {'lat': Decimal('1.3707409'), 'lon': Decimal('103.9897931')}, {'lat': Decimal('1.3706967'), 'lon': Decimal('103.9898962')}, {'lat': Decimal('1.3706512'), 'lon': Decimal('103.9900027')}, {'lat': Decimal('1.3704123'), 'lon': Decimal('103.9905619')}, {'lat': Decimal('1.3698913'), 'lon': Decimal('103.9917812')}, {'lat': Decimal('1.3695426'), 'lon': Decimal('103.9925904')}, {'lat': Decimal('1.3687688'), 'lon': Decimal('103.9944101')}, {'lat': Decimal('1.3684271'), 'lon': Decimal('103.9952025')}, {'lat': Decimal('1.3680400'), 'lon': Decimal('103.9961085')}]}], 'R7': [{'ref': 'R7', 'id': 173010516, 'nodes': [{'lat': Decimal('1.3437171'), 'lon': Decimal('103.9863066')}, {'lat': Decimal('1.3438154'), 'lon': Decimal('103.9863479')}, {'lat': Decimal('1.3446026'), 'lon': Decimal('103.9866776')}, {'lat': Decimal('1.3447156'), 'lon': Decimal('103.9867248')}, {'lat': Decimal('1.3454746'), 'lon': Decimal('103.9870454')}, {'lat': Decimal('1.3460815'), 'lon': Decimal('103.9872953')}, {'lat': Decimal('1.3461535'), 'lon': Decimal('103.9873249')}, {'lat': Decimal('1.3463837'), 'lon': Decimal('103.9874219')}, {'lat': Decimal('1.3464095'), 'lon': Decimal('103.9874328')}, {'lat': Decimal('1.3467638'), 'lon': Decimal('103.9875821')}, {'lat': Decimal('1.3469720'), 'lon': Decimal('103.9876704')}, {'lat': Decimal('1.3473263'), 'lon': Decimal('103.9878206')}, {'lat': Decimal('1.3474098'), 'lon': Decimal('103.9878560')}, {'lat': Decimal('1.3476275'), 'lon': Decimal('103.9879481')}, {'lat': Decimal('1.3476645'), 'lon': Decimal('103.9879637')}, {'lat': Decimal('1.3479903'), 'lon': Decimal('103.9881015')}, {'lat': Decimal('1.3481781'), 'lon': Decimal('103.9881825')}, {'lat': Decimal('1.3482164'), 'lon': Decimal('103.9881986')}, {'lat': Decimal('1.3486858'), 'lon': Decimal('103.9883955')}, {'lat': Decimal('1.3488902'), 'lon': Decimal('103.9884821')}, {'lat': Decimal('1.3490391'), 'lon': Decimal('103.9885444')}, {'lat': Decimal('1.3492889'), 'lon': Decimal('103.9886477')}, {'lat': Decimal('1.3493764'), 'lon': Decimal('103.9886848')}, {'lat': Decimal('1.3495887'), 'lon': Decimal('103.9887748')}, {'lat': Decimal('1.3496249'), 'lon': Decimal('103.9887902')}, {'lat': Decimal('1.3496967'), 'lon': Decimal('103.9888223')}, {'lat': Decimal('1.3499447'), 'lon': Decimal('103.9889248')}, {'lat': Decimal('1.3499861'), 'lon': Decimal('103.9889424')}, {'lat': Decimal('1.3506345'), 'lon': Decimal('103.9892148')}, {'lat': Decimal('1.3508662'), 'lon': Decimal('103.9893120')}, {'lat': Decimal('1.3508975'), 'lon': Decimal('103.9893248')}, {'lat': Decimal('1.3510613'), 'lon': Decimal('103.9893783')}, {'lat': Decimal('1.3513118'), 'lon': Decimal('103.9894429')}, {'lat': Decimal('1.3515762'), 'lon': Decimal('103.9895175')}, {'lat': Decimal('1.3517044'), 'lon': Decimal('103.9895632')}, {'lat': Decimal('1.3519333'), 'lon': Decimal('103.9896650')}, {'lat': Decimal('1.3525415'), 'lon': Decimal('103.9899239')}, {'lat': Decimal('1.3529848'), 'lon': Decimal('103.9901124')}]}], 'T9': [{'ref': 'T9', 'id': 173010518, 'nodes': [{'lat': Decimal('1.3358616'), 'lon': Decimal('103.9865755')}, {'lat': Decimal('1.3357806'), 'lon': Decimal('103.9867635')}, {'lat': Decimal('1.3355626'), 'lon': Decimal('103.9872728')}]}], 'W1': [{'ref': 'W1', 'id': 173010519, 'nodes': [{'lat': Decimal('1.3819026'), 'lon': Decimal('103.9919068')}, {'lat': Decimal('1.3816844'), 'lon': Decimal('103.9924090')}, {'lat': Decimal('1.3815876'), 'lon': Decimal('103.9926441')}, {'lat': Decimal('1.3814125'), 'lon': Decimal('103.9930481')}]}], 'T12': [{'ref': 'T12', 'id': 173010520, 'nodes': [{'lat': Decimal('1.3294124'), 'lon': Decimal('103.9837973')}, {'lat': Decimal('1.3293726'), 'lon': Decimal('103.9838874')}, {'lat': Decimal('1.3293121'), 'lon': Decimal('103.9840246')}, {'lat': Decimal('1.3290955'), 'lon': Decimal('103.9845402')}]}], 'Q2': [{'ref': 'Q2', 'id': 173010522, 'nodes': [{'lat': Decimal('1.3642552'), 'lon': Decimal('103.9914414')}, {'lat': Decimal('1.3640265'), 'lon': Decimal('103.9913450')}, {'lat': Decimal('1.3640020'), 'lon': Decimal('103.9913346')}, {'lat': Decimal('1.3634205'), 'lon': Decimal('103.9910888')}, {'lat': Decimal('1.3633672'), 'lon': Decimal('103.9910665')}, {'lat': Decimal('1.3631981'), 'lon': Decimal('103.9909957')}, {'lat': Decimal('1.3629588'), 'lon': Decimal('103.9908954')}]}], 'T11': [{'ref': 'T11', 'id': 173010526, 'nodes': [{'lat': Decimal('1.3304879'), 'lon': Decimal('103.9843182')}, {'lat': Decimal('1.3304108'), 'lon': Decimal('103.9844985')}, {'lat': Decimal('1.3301963'), 'lon': Decimal('103.9850033')}]}], 'T10': [{'ref': 'T10', 'id': 173010527, 'nodes': [{'lat': Decimal('1.3347623'), 'lon': Decimal('103.9861026')}, {'lat': Decimal('1.3346771'), 'lon': Decimal('103.9862918')}, {'lat': Decimal('1.3344565'), 'lon': Decimal('103.9868169')}]}], 'U8': [{'ref': 'U8', 'id': 173010529, 'nodes': [{'lat': Decimal('1.3374030'), 'lon': Decimal('103.9853194')}, {'lat': Decimal('1.3373802'), 'lon': Decimal('103.9853718')}, {'lat': Decimal('1.3371294'), 'lon': Decimal('103.9859589')}, {'lat': Decimal('1.3370677'), 'lon': Decimal('103.9860976')}]}], 'V4': [{'ref': 'V4', 'id': 173010530, 'nodes': [{'lat': Decimal('1.3722722'), 'lon': Decimal('103.9898044')}, {'lat': Decimal('1.3720795'), 'lon': Decimal('103.9902524')}]}], 'W2': [{'ref': 'W2', 'id': 173010531, 'nodes': [{'lat': Decimal('1.3802975'), 'lon': Decimal('103.9926110')}, {'lat': Decimal('1.3804874'), 'lon': Decimal('103.9921647')}, {'lat': Decimal('1.3805827'), 'lon': Decimal('103.9919446')}, {'lat': Decimal('1.3807977'), 'lon': Decimal('103.9914439')}]}], 'V13': [{'ref': 'V13', 'id': 173010540, 'nodes': [{'lat': Decimal('1.3607304'), 'lon': Decimal('103.9861988')}, {'lat': Decimal('1.3607732'), 'lon': Decimal('103.9862703')}, {'lat': Decimal('1.3608227'), 'lon': Decimal('103.9863318')}, {'lat': Decimal('1.3608725'), 'lon': Decimal('103.9863757')}, {'lat': Decimal('1.3609390'), 'lon': Decimal('103.9864128')}, {'lat': Decimal('1.3610299'), 'lon': Decimal('103.9864577')}, {'lat': Decimal('1.3614684'), 'lon': Decimal('103.9866463')}, {'lat': Decimal('1.3620956'), 'lon': Decimal('103.9869099')}, {'lat': Decimal('1.3627304'), 'lon': Decimal('103.9871736')}, {'lat': Decimal('1.3633201'), 'lon': Decimal('103.9874294')}, {'lat': Decimal('1.3633642'), 'lon': Decimal('103.9874525')}, {'lat': Decimal('1.3639634'), 'lon': Decimal('103.9877010')}, {'lat': Decimal('1.3640734'), 'lon': Decimal('103.9877431')}, {'lat': Decimal('1.3645678'), 'lon': Decimal('103.9879574')}, {'lat': Decimal('1.3649191'), 'lon': Decimal('103.9880896')}, {'lat': Decimal('1.3650421'), 'lon': Decimal('103.9881255')}, {'lat': Decimal('1.3651420'), 'lon': Decimal('103.9881443')}, {'lat': Decimal('1.3652321'), 'lon': Decimal('103.9881492')}, {'lat': Decimal('1.3652562'), 'lon': Decimal('103.9881489')}, {'lat': Decimal('1.3655672'), 'lon': Decimal('103.9881218')}, {'lat': Decimal('1.3662900'), 'lon': Decimal('103.9880353')}, {'lat': Decimal('1.3668114'), 'lon': Decimal('103.9879735')}, {'lat': Decimal('1.3668728'), 'lon': Decimal('103.9879713')}, {'lat': Decimal('1.3669289'), 'lon': Decimal('103.9879784')}, {'lat': Decimal('1.3670389'), 'lon': Decimal('103.9880136')}]}], 'V3': [{'ref': 'V3', 'id': 173010544, 'nodes': [{'lat': Decimal('1.3761986'), 'lon': Decimal('103.9915367')}, {'lat': Decimal('1.3760481'), 'lon': Decimal('103.9918898')}]}], 'V': [{'ref': 'V', 'id': 173010562, 'nodes': [{'lat': Decimal('1.3456937'), 'lon': Decimal('103.9786116')}, {'lat': Decimal('1.3461276'), 'lon': Decimal('103.9787941')}, {'lat': Decimal('1.3461970'), 'lon': Decimal('103.9788335')}, {'lat': Decimal('1.3462489'), 'lon': Decimal('103.9788786')}, {'lat': Decimal('1.3462922'), 'lon': Decimal('103.9789317')}, {'lat': Decimal('1.3465264'), 'lon': Decimal('103.9792653')}, {'lat': Decimal('1.3465571'), 'lon': Decimal('103.9793108')}, {'lat': Decimal('1.3466030'), 'lon': Decimal('103.9793626')}, {'lat': Decimal('1.3466438'), 'lon': Decimal('103.9793983')}, {'lat': Decimal('1.3466951'), 'lon': Decimal('103.9794280')}, {'lat': Decimal('1.3467767'), 'lon': Decimal('103.9794609')}, {'lat': Decimal('1.3475578'), 'lon': Decimal('103.9797887')}, {'lat': Decimal('1.3476383'), 'lon': Decimal('103.9798242')}, {'lat': Decimal('1.3484569'), 'lon': Decimal('103.9801675')}, {'lat': Decimal('1.3485364'), 'lon': Decimal('103.9802010')}, {'lat': Decimal('1.3487264'), 'lon': Decimal('103.9802805')}, {'lat': Decimal('1.3488606'), 'lon': Decimal('103.9803382')}, {'lat': Decimal('1.3493353'), 'lon': Decimal('103.9805420')}, {'lat': Decimal('1.3494267'), 'lon': Decimal('103.9805788')}, {'lat': Decimal('1.3495550'), 'lon': Decimal('103.9806305')}, {'lat': Decimal('1.3499901'), 'lon': Decimal('103.9808120')}, {'lat': Decimal('1.3502480'), 'lon': Decimal('103.9809227')}, {'lat': Decimal('1.3505932'), 'lon': Decimal('103.9810708')}, {'lat': Decimal('1.3519471'), 'lon': Decimal('103.9816400')}, {'lat': Decimal('1.3525364'), 'lon': Decimal('103.9818899')}, {'lat': Decimal('1.3533908'), 'lon': Decimal('103.9822532')}, {'lat': Decimal('1.3534704'), 'lon': Decimal('103.9822899')}, {'lat': Decimal('1.3547169'), 'lon': Decimal('103.9828177')}, {'lat': Decimal('1.3551024'), 'lon': Decimal('103.9829816')}, {'lat': Decimal('1.3558498'), 'lon': Decimal('103.9832928')}, {'lat': Decimal('1.3561103'), 'lon': Decimal('103.9834012')}, {'lat': Decimal('1.3565321'), 'lon': Decimal('103.9835792')}, {'lat': Decimal('1.3566081'), 'lon': Decimal('103.9836110')}, {'lat': Decimal('1.3568974'), 'lon': Decimal('103.9837323')}, {'lat': Decimal('1.3572078'), 'lon': Decimal('103.9838625')}, {'lat': Decimal('1.3573506'), 'lon': Decimal('103.9839214')}, {'lat': Decimal('1.3574271'), 'lon': Decimal('103.9839538')}, {'lat': Decimal('1.3576820'), 'lon': Decimal('103.9840619')}, {'lat': Decimal('1.3580133'), 'lon': Decimal('103.9842024')}, {'lat': Decimal('1.3586723'), 'lon': Decimal('103.9844769')}, {'lat': Decimal('1.3595829'), 'lon': Decimal('103.9848657')}, {'lat': Decimal('1.3598604'), 'lon': Decimal('103.9849808')}, {'lat': Decimal('1.3604863'), 'lon': Decimal('103.9852488')}, {'lat': Decimal('1.3613055'), 'lon': Decimal('103.9855944')}, {'lat': Decimal('1.3636629'), 'lon': Decimal('103.9865882')}, {'lat': Decimal('1.3644549'), 'lon': Decimal('103.9869306')}, {'lat': Decimal('1.3653372'), 'lon': Decimal('103.9872969')}, {'lat': Decimal('1.3670389'), 'lon': Decimal('103.9880136')}, {'lat': Decimal('1.3674567'), 'lon': Decimal('103.9881908')}, {'lat': Decimal('1.3677575'), 'lon': Decimal('103.9883184')}, {'lat': Decimal('1.3685640'), 'lon': Decimal('103.9886585')}, {'lat': Decimal('1.3694235'), 'lon': Decimal('103.9890198')}, {'lat': Decimal('1.3702053'), 'lon': Decimal('103.9893500')}, {'lat': Decimal('1.3704509'), 'lon': Decimal('103.9894563')}]}], 
                       'W': [{'ref': 'W', 'id': 173010565, 
                              'nodes': [{'lat': Decimal('1.3809183'), 'lon': Decimal('103.9928899')}, {'lat': Decimal('1.3807663'), 'lon': Decimal('103.9928268')}, {'lat': Decimal('1.3806674'), 'lon': Decimal('103.9927852')}, {'lat': Decimal('1.3798910'), 'lon': Decimal('103.9924567')}, {'lat': Decimal('1.3797880'), 'lon': Decimal('103.9924151')}, {'lat': Decimal('1.3769205'), 'lon': Decimal('103.9911997')}, {'lat': Decimal('1.3764483'), 'lon': Decimal('103.9910402')}, {'lat': Decimal('1.3760451'), 'lon': Decimal('103.9908737')}, {'lat': Decimal('1.3742140'), 'lon': Decimal('103.9900623')}, {'lat': Decimal('1.3729474'), 'lon': Decimal('103.9895242')}, {'lat': Decimal('1.3725947'), 'lon': Decimal('103.9893747')}, {'lat': Decimal('1.3720192'), 'lon': Decimal('103.9891323')}, {'lat': Decimal('1.3715622'), 'lon': Decimal('103.9889397')}, {'lat': Decimal('1.3707877'), 'lon': Decimal('103.9886085')}, {'lat': Decimal('1.3705727'), 'lon': Decimal('103.9885184')}, {'lat': Decimal('1.3702545'), 'lon': Decimal('103.9883850')}, {'lat': Decimal('1.3697744'), 'lon': Decimal('103.9881824')}, {'lat': Decimal('1.3689993'), 'lon': Decimal('103.9878526')}, {'lat': Decimal('1.3689121'), 'lon': Decimal('103.9878174')}, {'lat': Decimal('1.3681174'), 'lon': Decimal('103.9874855')}, {'lat': Decimal('1.3667119'), 'lon': Decimal('103.9868939')}, {'lat': Decimal('1.3648014'), 'lon': Decimal('103.9860862')}, {'lat': Decimal('1.3640320'), 'lon': Decimal('103.9857580')}, {'lat': Decimal('1.3616561'), 'lon': Decimal('103.9847538')}, {'lat': Decimal('1.3608731'), 'lon': Decimal('103.9844214')}, {'lat': Decimal('1.3595323'), 'lon': Decimal('103.9838610')}, {'lat': Decimal('1.3577412'), 'lon': Decimal('103.9831007')}, {'lat': Decimal('1.3576317'), 'lon': Decimal('103.9830529')}]
                             }, 
                             {'ref': 'W', 'id': 680655462, 
                              'nodes': [{'lat': Decimal('1.3682667'), 'lon': Decimal('103.9872685')}, {'lat': Decimal('1.3683451'), 'lon': Decimal('103.9873585')}, {'lat': Decimal('1.3684319'), 'lon': Decimal('103.9874484')}, {'lat': Decimal('1.3685156'), 'lon': Decimal('103.9875276')}, {'lat': Decimal('1.3686195'), 'lon': Decimal('103.9876143')}, {'lat': Decimal('1.3687261'), 'lon': Decimal('103.9876911')}, {'lat': Decimal('1.3688470'), 'lon': Decimal('103.9877685')}, {'lat': Decimal('1.3689993'), 'lon': Decimal('103.9878526')}]
                             }, 
                             {'ref': 'W', 'id': 741695440, 
                              'nodes': [{'lat': Decimal('1.3494949'), 'lon': Decimal('103.9796220')}, {'lat': Decimal('1.3490264'), 'lon': Decimal('103.9794237')}, {'lat': Decimal('1.3488264'), 'lon': Decimal('103.9793320')}, {'lat': Decimal('1.3480025'), 'lon': Decimal('103.9789897')}, {'lat': Decimal('1.3479027'), 'lon': Decimal('103.9789494')}, {'lat': Decimal('1.3471111'), 'lon': Decimal('103.9786204')}, {'lat': Decimal('1.3470568'), 'lon': Decimal('103.9785994')}, {'lat': Decimal('1.3469890'), 'lon': Decimal('103.9785844')}, {'lat': Decimal('1.3469176'), 'lon': Decimal('103.9785797')}, {'lat': Decimal('1.3468398'), 'lon': Decimal('103.9785826')}, {'lat': Decimal('1.3467854'), 'lon': Decimal('103.9785950')}, {'lat': Decimal('1.3467066'), 'lon': Decimal('103.9786266')}]
                             }, 
                             {'ref': 'W', 'id': 741695444, 
                              'nodes': [{'lat': Decimal('1.3576317'), 'lon': Decimal('103.9830529')}, {'lat': Decimal('1.3572350'), 'lon': Decimal('103.9828828')}, {'lat': Decimal('1.3568741'), 'lon': Decimal('103.9827300')}, {'lat': Decimal('1.3555438'), 'lon': Decimal('103.9821756')}, {'lat': Decimal('1.3537768'), 'lon': Decimal('103.9814312')}, {'lat': Decimal('1.3532452'), 'lon': Decimal('103.9812040')}, {'lat': Decimal('1.3529440'), 'lon': Decimal('103.9810766')}, {'lat': Decimal('1.3499500'), 'lon': Decimal('103.9798127')}, {'lat': Decimal('1.3494949'), 'lon': Decimal('103.9796220')}]
                             }
                             ], 
                       'P7': [{'ref': 'P7', 'id': 173010598, 'nodes':...
                       }
    '''
  run__ls_taxiway()
